package org.kne.cloud.network.ntp;

import java.io.IOException;
import java.net.UnknownHostException;

import org.kne.cloud.clock.HighAccuracyClock;
import org.kne.cloud.network.MultiProtocolSocketAddress;

public class TestNTP1 {
	public static void main(String[] args) throws UnknownHostException, IOException {
		HighAccuracyClock hac = new HighAccuracyClock();
		NTPContext context = new NTPContext(hac);
		context.syncToSystem();
		System.out.println(context);
		NTPv4Protocol nvc = new NTPv4Protocol(context, new MultiProtocolSocketAddress("{UDP}0.0.0.0:123"));// 106.55.184.199
		//nvc.getPeers().add(new NTPPeer("{UDP}106.55.184.199:123", NTPv4Packet.NTP_CLIENT));
	}
}
